{
  "type" : "record",
  "name" : "VariantStudyStats",
  "namespace" : "org.opencb.biodata.models.variant.metadata",
  "fields" : [ {
    "name" : "sampleStats",
    "type" : {
      "type" : "map",
      "values" : {
        "type" : "record",
        "name" : "VariantSetStats",
        "doc" : "Variant statistics for a set of variants.\n     The variants set can be contain a whole study, a cohort, a sample, a region, ...",
        "fields" : [ {
          "name" : "numVariants",
          "type" : "int",
          "doc" : "Number of variants in the variants set"
        }, {
          "name" : "numSamples",
          "type" : "int",
          "doc" : "Number of samples in the variants set"
        }, {
          "name" : "numPass",
          "type" : "int",
          "doc" : "Number of variants with PASS filter"
        }, {
          "name" : "tiTvRatio",
          "type" : "float",
          "doc" : "TiTvRatio = num. transitions / num. transversions"
        }, {
          "name" : "meanQuality",
          "type" : "float",
          "doc" : "Mean Quality for all the variants with quality"
        }, {
          "name" : "stdDevQuality",
          "type" : "float",
          "doc" : "Standard Deviation of the quality"
        }, {
          "name" : "numRareVariants",
          "type" : {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "VariantsByFrequency",
              "doc" : "Counts the number of variants within a certain frequency range.",
              "fields" : [ {
                "name" : "startFrequency",
                "type" : "float",
                "doc" : "Inclusive frequency range start"
              }, {
                "name" : "endFrequency",
                "type" : "float",
                "doc" : "Exclusive frequency range end"
              }, {
                "name" : "count",
                "type" : "int",
                "doc" : "Number of variants with this frequency"
              } ]
            }
          },
          "doc" : "array of elements to classify variants according to their 'rarity'\n         Typical frequency ranges:\n          - very rare     -> from 0 to 0.001\n          - rare          -> from 0.001 to 0.005\n          - low frequency -> from 0.005 to 0.05\n          - common        -> from 0.05",
          "default" : [ ]
        }, {
          "name" : "variantTypeCounts",
          "type" : {
            "type" : "map",
            "values" : "int"
          },
          "doc" : "Variants count group by type. e.g. SNP, INDEL, MNP, SNV, ...",
          "default" : { }
        }, {
          "name" : "variantBiotypeCounts",
          "type" : {
            "type" : "map",
            "values" : "int"
          },
          "doc" : "Variants count group by biotype. e.g. protein-coding, miRNA, lncRNA, ...",
          "default" : { }
        }, {
          "name" : "consequenceTypesCounts",
          "type" : {
            "type" : "map",
            "values" : "int"
          },
          "doc" : "Variants count group by consequence type. e.g. synonymous_variant, missense_variant, stop_lost, ...",
          "default" : { }
        }, {
          "name" : "chromosomeStats",
          "type" : {
            "type" : "map",
            "values" : {
              "type" : "record",
              "name" : "ChromosomeStats",
              "fields" : [ {
                "name" : "count",
                "type" : "int",
                "doc" : "Number of variants within this chromosome"
              }, {
                "name" : "density",
                "type" : "float",
                "doc" : "Total density of variants within the chromosome. counts / chromosome.length"
              } ]
            }
          },
          "doc" : "Statistics per chromosome.",
          "default" : { }
        } ]
      }
    },
    "default" : { }
  }, {
    "name" : "cohortStats",
    "type" : {
      "type" : "map",
      "values" : "VariantSetStats"
    },
    "default" : { }
  } ]
}
